//zd:11:03 2011-11-25

//Dialog_UserNickNameList
//==============================================
//必要参数必须以 input hidden 形式存在，切记！
//支持单搜索框
//起名规则：数据循环区："DataItem_" + id
//          翻页索引：<a>
//          数据区：名称：DataItemName，编号DataItemId,...
function DialogData()
{
	//变量初始化
	//初始化设置
	//AJAX翻页
	
	this.p_SpanId = "";//当前spanID
	this.p_InputId ="";//当前输入框ID
	this.p_InfoId = "";//当前会员
	this.p_ChooseType = "";//暂存，仅用于会员
	this.p_DialogId = "";//art对话框ID	
	this.p_AjaxUrl = "";//ajax 翻页URL路径
	this.p_SelectText = "";	
	this.d_ItemPrefix = "DataItem_";
	var _this = this;
	
	this.init2 = function(){
		//绑定事件		
		_this.AddEvent();
		//默认值处理
		jQuery("#"+_this.d_ItemPrefix + _this.p_InfoId ).addClass("SelectDiv_Select");	
	}
	this.init = function(){
	//	alert(_this==this);
		//以下input hidden 存在的参数表
		_this.p_SpanId = jQuery("#p_SpanId").val();//当前 spanID (DOM)
		_this.p_InputId = jQuery("#p_InputId").val();//当前输入框ID (DOM)
		_this.p_InfoId = jQuery("#p_InfoId").val();//当前会员 
		_this.p_ChooseType = jQuery("#p_ChooseType").val();//暂存，仅用于会员
		_this.p_DialogId = jQuery("#p_DialogId").val();//art对话框ID	（DOM-JQUERY）
		_this.p_AjaxUrl = jQuery("#p_AjaxUrl").val();//翻页URL
		_this.init2();	
	
	};		//url: "../dialog/GetDialogData_1.aspx?p="+p,
	this.Ajax = function(p){
		var _ch = jQuery("#inputSelectText").val();//硬编码
		jQuery.ajax({type: "GET",cache: false,	url:_this.p_AjaxUrl, 
			data:{"InfoId":_this.p_InfoId,"SpanId":_this.p_SpanId,"InputId":_this.p_InputId,"DialogId":_this.p_DialogId,"ChooseType":_this.p_ChooseType,"unnc":_ch,"p":p},
			success: function(msg){
			//	alert(_this.p_DialogId);	
				Common.EditDialogSetContent(_this.p_DialogId,msg);
			//	Common.EditDialogSetContent("Dom_UserChoose",msg);
			},error:function(msg){AlertErr(msg.responseText);}
		});		
	};
	//绑定事件
	this.AddEvent = function(){
	//	var _this = this;
		//翻页加载
		jQuery("a[id^='A_Pnv_']").click(function(){var p= this.id.substr("A_Pnv_".length);_this.Ajax(p);});
		//选中处理
		jQuery("div[id^='"+ _this.d_ItemPrefix  +"']").click(function(){
			var o = jQuery(this);
			try
			{
				var _DataItemName =o.attr("DataItem_Name");//名称（人名，产品名...）
				var _DataItemId = o.attr("DataItem_Id");//ID,uid,vid,pid
				if(_DataItemId==0) _UserNickName = "系统";
				var _spanDom = jQuery("#" + _this.p_SpanId);
				if(_spanDom.length>0){
					//_spanDom.html(_DataItemName);//_spanDom.val(_DataItemName);
					if(_spanDom.is("input") || _spanDom.is("textarea")){_spanDom.val(_DataItemName);}
					else{_spanDom.html(_DataItemName);}
				}
				var _inputDom = jQuery("#" + _this.p_InputId );
				if(_inputDom.length>0){ 
				//_inputDom.val(_DataItemId);
					if(_inputDom.is("input") || _inputDom.is("textarea")){_inputDom.val(_DataItemId);}
					else{_inputDom.html(_DataItemId);}
				
				}
			}
			catch(e)
			{
				alert(e.message + "|" + e.number)
			}
			//alert(_this.p_DialogId);
			Common.EditDialogClose(_this.p_DialogId);//关闭对话框
		});
		//鼠标移入移出（样式硬编码）
		jQuery("div[class='SelectDiv']").mousemove(function(){
			jQuery(this).removeClass("SelectDiv_NoSelect");
			jQuery(this).addClass("SelectDiv_Select");
		});
		jQuery("div[class='SelectDiv']").mouseout(function(){
			var id=jQuery(this).attr("id").substr(_this.d_ItemPrefix.length);
			if(_this.p_InfoId != id){
				jQuery(this).addClass("SelectDiv_NoSelect");
				jQuery(this).removeClass("SelectDiv_Select");
			}
		});			
	}
}
//创建对象,初始化对象，绑定对象。
var __dlgDD = null;
jQuery(document).ready(function(){__dlgDD = new DialogData();});

//22:33 2011-11-26
/*
function ChooseUser1(UserId, SpanId,InputId,ChooseType)
{
	var _dlgId = "Dom_UserChoose_Dlg";
	var s = jQuery("#inputSelectText").val();
	var _url="../Dialog/getDialogData_1.aspx";
	var _data = {"UserId":UserId,"SpanId":SpanId,"InputId":InputId,"ChooseType":ChooseType, "DialogId":_dlgId,"unnc":s};	
	_data={"InfoId":UserId,"SpanId":SpanId,"InputId":InputId,"ChooseType":ChooseType, "DialogId":_dlgId,"unnc":s,"p":1},	
	Common.EditFunction("POST",_url,_data,_dlgId,"会员选择");
}
*/
	